#include<bits/stdc++.h>

#ifdef THEMIS
#include "testlib_themis.h"
const std::string TASK_NAME = "TRAFFIC";
#define _100 1.0
#define _50 0.5
#else
#include "testlib.h"
#define _100 100
#define _50 50
#endif // THEMIS

void check() {
    long long o1, o2, a1, a2;
    a1 = ans.readLong();
    a2 = ans.readLong();
    o1 = ouf.readLong();
    o2 = ouf.readLong();
    if (a1 == o1) {
        if (a2 == o2)
            quitf(_ok, "Ơ mây zing, gút chóp em!\n");
        else
            quitp(_50, "Bạn chỉ trả lời đúng tổng độ dài các con đường ngắn nhất cần giữ lại!\n");
    } else if (a2 == o2)
        quitp(_50, "Bạn chỉ trả lời đúng số phương án!\n");
    else
        quitf(_wa, "Bạn trả lời sai cả hai ý!\n");
}

int main(int argc,char *argv[]){
#ifdef THEMIS
    registerTestlibThemis(TASK_NAME + ".inp", TASK_NAME + ".out");
#else
    registerTestlibCmd(argc, argv);
#endif
    check();
    return 0;
}
